> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.widgeteventargs.md).

# WidgetEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [WidgetEvent](/api/wisej.web/general/control.md#widgetevent) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class WidgetEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class WidgetEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) WidgetEventArgs(type, data)

Initializes a new instance of the [WidgetEventArgs](/api/wisej.web/general/control/wisej.web.widgeteventargs.md) class.

| Name     | Type                                                          | Description                              |
| -------- | ------------------------------------------------------------- | ---------------------------------------- |
| **type** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The type (name) of event.                |
| **data** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The data object received with the event. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Data

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns the data object that was sent by the widget with the event.

### ![](/files/hsR4ok3152WyAf8J2C1u) Type

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the type (name) of the event fired by the widget.

## Used By

| Name                                                                                 | Description                                                                                                |
| ------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------- |
| [WidgetEventHandler](/api/wisej.web/general/control/wisej.web.widgeteventhandler.md) | Represents the method that handles the [WidgetEvent](/api/wisej.web/general/control.md#widgetevent) event. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.widgeteventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
